function y = svenssonzc(param,n);
beta0=param(1); beta1=param(2); beta2=param(3); beta3=param(4); tau1=param(5); tau2=param(6);
y1=(1-exp(-n/tau1))./(n/tau1);
y2=y1-exp(-n/tau1);
if isnan(tau2)==0;
y3=((1-exp(-n/tau2))./(n/tau2))-exp(-n/tau2);
y=beta0+(beta1*y1)+(beta2*y2)+(beta3*y3);
else;
y=beta0+(beta1*y1)+(beta2*y2);
end;    
